<?php
/**
 * Общий конфиг для всего приложения
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 15.10.2014
 * @since 1.0.0
 */

\Yii::beginProfile('config menge');
$vendorPath             = dirname(dirname(__DIR__)) . '/vendor';
$configSkeeksCms        = include $vendorPath . '/skeeks/cms/config/main.php';
//$configModuleGame       = include $vendorPath . '/skeeks/cms-module-form/config/main.php';

$config = \yii\helpers\ArrayHelper::merge($configSkeeksCms, [
    "id"            => "sitme",
    'vendorPath'    => $vendorPath,
    'components'    =>
    [
        'user' =>
        [
            'identityClass' => 'common\models\User',
        ],

        'db' => include_once 'db.php',

        'urlManager' => [
            'rules' => [
                //'/' => 'site/index',
                '<action:(about|page|index|contact|signup)>' => 'site/<action>',
                //'///<seo_page_name>.<_c:(game)>.html' => 'game/<_c>/view',
                [
                    'class'             => \skeeks\cms\components\TreeUrlRule::className(),
                    'useLastDelimetr'   => false
                ]
            ]
        ],

        'mailer' => [
            'class' => 'yii\swiftmailer\Mailer',
            'viewPath' => '@common/mail',
        ],

        'cache' => [
            'class' => 'yii\caching\FileCache',
        ],



        //Возможные layout приложения
        'registeredLayouts' =>
        [
            'components'    => include_once 'layouts.php'
        ],

        'registeredModels' =>
        [
            'components' => include_once 'models.php'
        ],
    ],


    /*'modules' =>
    [
        'cms' =>
        [
            'controllerMap' =>
            [
                'user' => 'frontend\controllers\UserController'
            ],
        ]
    ]*/
]);


if (YII_ENV_DEV)
{
    $config['bootstrap'][] = 'debug';
    $config['modules']['debug'] = [
        'class' => 'yii\debug\Module',
        'panels' => [
            'views' => [
                //'class' => 'app\panels\ViewsPanel',
                'class' => 'yii\debug\Panel'
            ],
        ],
        'allowedIPs' => ['*'] // adjust this to your needs
    ];

    /*$config['bootstrap'][] = 'gii';
    $config['modules']['gii'] = [
        'class' => 'yii\gii\Module',
        'allowedIPs' => ['*'], // adjust this to your needs
        'generators' => [
            'model' => [ //name generator
                'class' => 'yii\gii\generators\model\Generator',
                'templates' => [
                    'TimestampblAndUser' => '@backend/modules/gii/generators/model/default',
                ]
            ]
        ]
    ];*/

}

\Yii::endProfile('config menge');
return $config;
