#!/usr/bin/env python
# -*- coding: utf-8 -*-
import ConfigParser
import os

class App(object):

    def __init__(self, config=10):
        config = ConfigParser.RawConfigParser()
        config.read('global.cfg')
        self._config = config

    def getConfig(self):
        return self._config



    # Все необходимые действия для обновления проекта
    def projectInstall(self):

        print " ------------ "
        print " — Установка проекта —"
        print " ------------ "
        print ""

        self.updateInstallComposer()

        if not self.isComposerExist():
            print "Не удалось установить композер, продолжение невозможно"
            return self


        print " - Обновление зависимостей и библиотек"
        os.system("rm -rf vendor")
        os.system("php composer.phar install")
        print ""

        print " - Проведение миграций SkeekS cms"
        os.system("php yii migrate --migrationPath=@skeeks/cms/migrations")
        print ""

        print " - Проведение миграций проекта"
        os.system("php yii migrate")
        print ""


        print " - Изменим пользователя"
        os.system("chown -R www-data:www-data vendor")
        print ""

        print " ------------ "
        print "  — Готово — "
        print " ------------ "

        return self


    # Все необходимые действия для обновления проекта
    def projectUpdate(self):

        print " ------------ "
        print " — Обновление проекта —"
        print " ------------ "
        print ""

        self.updateInstallComposer()

        if not self.isComposerExist():
            print "Не удалось установить композер, продолжение невозможно"
            return self


        print " - Обновление зависимостей и библиотек"
        os.system("php composer.phar update")
        print ""

        print " - Проведение миграций SkeekS cms"
        os.system("php yii migrate --migrationPath=@skeeks/cms/migrations")
        print ""

        print " - Проведение миграций проекта"
        os.system("php yii migrate")
        print ""


        print " - Изменим пользователя"
        os.system("chown -R www-data:www-data vendor")
        print ""

        print " ------------ "
        print "  — Готово — "
        print " ------------ "

        return self



    def updateInstallComposer(self):

        print " - Обновление composer.phar"

        if self.isComposerExist():
            print "composer есть, обновляем его"
            os.system("php composer.phar self-update")

        if not self.isComposerExist():
            print "composer нет, скачиваем его"
            os.system('php -r "readfile(\'https://getcomposer.org/installer\');" | php')
            os.system('php composer.phar global require "fxp/composer-asset-plugin:1.0.0-beta2"')


        print ""
        return self



    def isComposerExist(self):
        return os.path.exists("composer.phar")


if __name__ == "__main__":
    o = App()
