<?
/**
 * default
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 20.10.2014
 * @since 1.0.0
 *
 *
 * @var \common\models\Game $model
 */
use yii\widgets\ActiveForm;
use yii\helpers\Html;

$uniqueId = "sx-" . md5($model->getRef()->getCode() . $model->getRef()->getValue());
$vote = $model->getUserVoteValue();

$jsOptions = \yii\helpers\Json::encode([
    "class"     => "sx-vote",
    "backend"   => \skeeks\cms\helpers\UrlHelper::construct("cms/vote/trigger")->toString(),
]);
?>

<span class="sx-vote sx-widget-notReady" data-count_vote="<?= $model->count_vote; ?>" data-group="<?= $uniqueId; ?>" data-current_vote="<?= $vote; ?>" data-result_vote="<?= $model->result_vote; ?>" data-linked_to_model="<?= $model->getRef()->getCode(); ?>" data-linked_to_value="<?= $model->getRef()->getValue(); ?>" data-tmpl="vote-tmpl"></span>

<?
\skeeks\sx\assets\JquryTmpl::registerJsTemplate("vote-tmpl", <<<HTML
<div class="vote {{if result_vote>0}}positive{{/if}} {{if result_vote<0}}negative{{/if}}">
    <a href="#" class="sx-action-vote-down go-vote-down voteDisLike {{if current_vote<0}}checked{{/if}}" title="Не нравится{{if current_vote<0}} (Вам это не понравилось){{/if}}">Не нравится</a>
    <span class="votes" title="Всего голосов: {{= count_vote }}">{{= result_vote }}</span>
    <a href="#" class="sx-action-vote-up go-vote-up voteLike {{if current_vote>0}}checked{{/if}}" title="Нравится{{if current_vote>0}} (Вам это понравилось){{/if}}">Нравится</a>
</div>
HTML
);

Yii::$app->view->registerJs(<<<JS

    sx.createNamespace('classes.app', sx);

    sx.classes.app.Votes = sx.classes.Component.extend({

        _init: function()
        {},

        _votes: [],

        _onDomReady: function()
        {
            var self = this;
            this.update();

            this._JqueryVotesContainers = $("." + this.get("class"));
            this._JqueryVotesContainers.on("click", ".sx-action-vote-down", function()
            {
                //Голос вниз
                var JqueryVoteContainer = $(this).closest("." + self.get("class"));
                self.goVote(-1, JqueryVoteContainer.data());

                return false;
            });

            this._JqueryVotesContainers.on("click", ".sx-action-vote-up", function()
            {
                //Голос вниз
                var JqueryVoteContainer = $(this).closest("." + self.get("class"));
                self.goVote(1, JqueryVoteContainer.data());

                return false;
            });
        },

        /**
        * Проголосовать
        * @param vote
        * @param data
        */
        goVote: function(vote, data)
        {
            var self = this;
            var vote = Number(vote);

            var ajax = sx.ajax.preparePostQuery(this.get("backend"), _.extend(data, {"value": vote} ));
            var groupId = data.group;
            ajax.onSuccess(function(e, data)
            {
                var dataForWidgets = _.extend(data.response.model, {
                    "current_vote": vote
                });

                if (data.response.success === true)
                {
                    self.updateWidgets(groupId, dataForWidgets);
                } else
                {
                    alert("Ваш голос не учтен");
                }
            });

            ajax.onError(function(e, data)
            {
                alert("Ваш голос не учтен");
            });

            ajax.execute();
        },

        updateWidgets: function(groupId, newData)
        {
            var forUpdateVotes = _.filter(this._votes, function(voteObject)
            {
                return voteObject.getGroup() == groupId;
            });

            _.each(forUpdateVotes, function(voteObject, key)
            {
                voteObject.merge(newData).update();
            });
        },



        /**
        * Запуск неготовых виджетов
        * @returns {sx.classes.app.Votes}
        */
        update: function()
        {
            var self = this;
            //Все контейнеры с голосами
            this._Jvotes = $("." + this.get("class") + ".sx-widget-notReady", "body");
            this._Jvotes.each(function(e, data)
            {
                var vote = new sx.classes.app.Vote($(this), $(this).data());
                self._votes.push(vote);
            });

            return this;
        }
    });

    /**
    * @type {void|Function|*}
    */
    sx.classes.app.Vote = sx.classes.Component.extend({

        construct: function (JqueryObject, opts)
        {
            opts = opts || {};
            this._JqueryObject = JqueryObject;
            this.applyParentMethod(sx.classes.Component, 'construct', [opts]); // TODO: make a workaround for magic parent calling
        },

        _init: function()
        {},

        _onDomReady: function()
        {
            this.update();
        },

        update: function()
        {
            var rendered = $("#" + this.getOpt("tmpl")).tmpl(this.getOpts());
            this._JqueryObject.empty().append(rendered);

            this._JqueryObject.removeClass("sx-widget-notReady");
        },

        /**
        * @returns {string}
        */
        getGroup: function()
        {
            return String(this.get("group"));
        }

    });

    sx.Votes = new sx.classes.app.Votes({$jsOptions});
JS
    , \yii\web\View::POS_READY
    , "sx-vote-js"
);

?>