<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\models\Publication */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="publication-form">

    <?php $form = ActiveForm::begin(); ?>


    <?= $form->field($model, 'game_id')->widget(
        \nex\chosen\Chosen::className(), [
                'items' => \yii\helpers\ArrayHelper::map(
                     \common\models\Game::find()->asArray()->all(),
                     "id",
                     "name"
                 ),
        ]);
    ?>

    <?= $form->field($model, 'image')
        ->widget(\backend\widgets\storageFileManager\Widget::className(), []);
    ?>

    <?= $form->field($model, 'image_cover')
        ->widget(\backend\widgets\storageFileManager\Widget::className(), []);
    ?>

    <?= $form->field($model, 'images')
        ->widget(\backend\widgets\storageFileManager\Widget::className(), []);
    ?>

    <?= $form->field($model, 'files')
        ->widget(\backend\widgets\storageFileManager\Widget::className(), []);
    ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => 255]) ?>

    <?= $form->field($model, 'description_short')->widget(\skeeks\widget\ckeditor\CKEditor::className(), [
        'options' => ['rows' => 6],
        'preset' => 'full'
    ]) ?>

    <?= $form->field($model, 'description_full')->widget(\skeeks\widget\ckeditor\CKEditor::className(), [
        'options' => ['rows' => 20],
        'preset' => 'full'
    ]) ?>

    

    <?/*= $form->field($model, 'created_by')->textInput() */?><!--

    <?/*= $form->field($model, 'updated_by')->textInput() */?>

    <?/*= $form->field($model, 'created_at')->textInput() */?>

    <?/*= $form->field($model, 'updated_at')->textInput() */?>

    <?/*= $form->field($model, 'name')->textInput(['maxlength' => 255]) */?>

    <?/*= $form->field($model, 'description_short')->textarea(['rows' => 6]) */?>

    <?/*= $form->field($model, 'description_full')->textarea(['rows' => 6]) */?>

    <?/*= $form->field($model, 'meta_title')->textInput(['maxlength' => 255]) */?>

    <?/*= $form->field($model, 'meta_description')->textarea(['rows' => 6]) */?>

    <?/*= $form->field($model, 'meta_keywords')->textarea(['rows' => 6]) */?>

    <?/*= $form->field($model, 'image')->textInput(['maxlength' => 255]) */?>

    <?/*= $form->field($model, 'image_cover')->textInput(['maxlength' => 255]) */?>

    <?/*= $form->field($model, 'album_image_id')->textInput() */?>

    <?/*= $form->field($model, 'album_file_id')->textInput() */?>

    <?/*= $form->field($model, 'seo_page_name')->textInput(['maxlength' => 64]) */?>

    <?/*= $form->field($model, 'game_id')->textInput() */?>

    <?/*= $form->field($model, 'count_comment')->textInput() */?>

    <?/*= $form->field($model, 'count_subscribe')->textInput() */?>

    <?/*= $form->field($model, 'count_vote')->textInput() */?>

    --><?/*= $form->field($model, 'count_vote_up')->textInput() */?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? Yii::t('app', 'Create') : Yii::t('app', 'Update'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
