<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel common\models\searchs\Publication */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Publications');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="publication-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a(Yii::t('app', 'Create {modelClass}', [
    'modelClass' => 'Publication',
]), ['create'], ['class' => 'btn btn-success']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            [
                'class' => \yii\grid\DataColumn::className(),
                'value' => function ($model, $key, $index, $widget) {
                    return "<img src='" . $model->getMainImage() . "' style='width: 100px;' />";
                },
                'attribute' => 'image',
                'format' => 'html',
            ],

            'name',

            [
                'class' => \yii\grid\DataColumn::className(),
                'value' => function ($model, $key, $index, $widget) {
                    return Yii::$app->formatter->asRelativeTime($model->created_at);
                },
                'attribute' => 'created_at',
                'format' => 'text',
            ],

            'description_short:html',
            // 'name',
            // 'description_short:ntext',
            // 'description_full:ntext',
            // 'meta_title',
            // 'meta_description:ntext',
            // 'meta_keywords:ntext',
            // 'image',
            // 'image_cover',
            // 'album_image_id',
            // 'album_file_id',
            // 'seo_page_name',
            // 'game_id',
            // 'count_comment',
            // 'count_subscribe',
            // 'count_vote',
            // 'count_vote_up',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>

</div>
