<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use common\models\User;

/* @var $this yii\web\View */
/* @var $model common\models\User */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="user-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'username')->textInput() ?>

    <?= $form->field($model, 'role')->dropDownList([
        User::ROLE_USER => 'Пользователь',
    ]); ?>


    <?= $form->field($model, 'status')->dropDownList([
        User::STATUS_ACTIVE => 'Active',
        User::STATUS_DELETED => 'Deleted'
    ]); ?>


    <?= $form->field($model, 'image')
        ->widget(\backend\widgets\storageFileManager\Widget::className(), []);
    ?>

    <?= $form->field($model, 'image_cover')
        ->widget(\backend\widgets\storageFileManager\Widget::className(), []);
    ?>

    <?= $form->field($model, 'images')
        ->widget(\backend\widgets\storageFileManager\Widget::className(), []);
    ?>

    <?= $form->field($model, 'files')
        ->widget(\backend\widgets\storageFileManager\Widget::className(), []);
    ?>


    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
