<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel common\models\searchs\User */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Users');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="user-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a(Yii::t('app', 'Create {modelClass}', [
    'modelClass' => 'User',
]), ['create'], ['class' => 'btn btn-success']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'id',

            [
                'class' => \yii\grid\DataColumn::className(),
                'value' => function ($model, $key, $index, $widget) {
                    return "<img src='" . $model->image . "' style='width: 100px;' />";
                },
                'attribute' => 'image',
                'format' => 'html',
            ],

            'username',

            [
                'class' => \yii\grid\DataColumn::className(),
                'value' => function ($model, $key, $index, $widget) {
                    return Yii::$app->formatter->asDatetime($model->created_at);
                },
                'attribute' => 'created_at',
                'format' => 'html',
            ],

            'name:ntext',

            // 'email:email',
            // 'role',
            // 'status',
            // 'created_at',
            // 'updated_at',
            // 'name',
            // 'city',
            // 'address',
            // 'info:ntext',
            // 'image',
            // 'image_name',
            // 'image_cover',
            // 'image_cover_name',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>

</div>
